Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 355043 - media-video/mjpegtools-1.9.0-r1: compilation fails with media-libs/libpng-1.5.x
Summary: media-video/mjpegtools-1.9.0-r1: compilation fails with media-libs/libpng-1.5.x
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL: http://sourceforge.net/mailarchive/me...
Whiteboard:
Keywords:
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-02-15 15:52 UTC by Lars Wendler (Polynomial-C)
Modified: 2011-05-12 18:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
mjpegtools-1.9.0-libpng15.patch (mjpegtools-1.9.0-libpng15.patch,2.77 KB, patch)
2011-02-15 15:53 UTC, Lars Wendler (Polynomial-C)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2011-02-15 15:52:09 UTC
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I.. -I/usr/include -I../utils  -I/usr/include/libpng15     -march=barcelona -O2 -pipe -fno-strict-aliasing -pthread -Wall -Wunused -MT png2yuv-png2yuv.o -MD -MP -MF .deps/png2yuv-png2yuv.Tpo -c -o png2yuv-png2yuv.o `test -f 'png2yuv.c' || echo './'`png2yuv.c
png2yuv.c: In function ‘png_separation’:
png2yuv.c:245:23: error: dereferencing pointer to incomplete type
png2yuv.c: In function ‘decode_png’:
png2yuv.c:405:7: error: dereferencing pointer to incomplete type
make[2]: *** [png2yuv-png2yuv.o] Error 1
make[2]: Leaving directory `/var/tmp/portage/media-video/mjpegtools-1.9.0-r1/work/mjpegtools-1.9.0/lavtools'
make[1]: *** [all-recursive] Error 1


NetBSD people sent a fix to the upstream mailing list (see URL).
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2011-02-15 15:53:15 UTC
Created attachment 262615 [details, diff]
mjpegtools-1.9.0-libpng15.patch

Patch from NetBSD people.
Comment 2 Alexis Ballier gentoo-dev 2011-02-16 23:11:21 UTC
seems a bit overkill to use a callback and count by themselves the row number when the function 'png_get_current_row_number' exists...
could you please explain me ?
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2011-02-21 09:01:36 UTC
Sorry I can't explain that as I simply took the patch NetBSD is using. According to the mail correspondence in URL, upstream has already pushed a fix into their VCS. Maybe that fix is better that the one from NetBSD.
Comment 4 Jory A. Pratt gentoo-dev 2011-04-19 13:17:29 UTC
(In reply to comment #2)
> seems a bit overkill to use a callback and count by themselves the row number
> when the function 'png_get_current_row_number' exists...
> could you please explain me ?

Patch has already been ladned upstream.
Comment 5 Daniel Pielmeier gentoo-dev 2011-05-12 18:43:42 UTC
This should be fixed in mjpegtools-2.0.0_rc1 please reopen if there are still issues.